#ifndef _TSOUP_H
#define _TSOUP_H

#include "xvec.h"

class ITriSoup {
public:

  // get three vertex indices
  virtual void ResetTriangles() = 0;
  // get three vertex positions
  virtual bool GetNextTriangle(XVecf* pcoords, XVecf* pnormals=0, XVecf* pcolors=0) = 0;
  
  // bbox
  virtual XVecf MinCoord() = 0;
  virtual XVecf MaxCoord() = 0;
};

#endif
